aagc.vo

## Class MedicoDiBaseResponsemedicodibase

- java.lang.Object
- - aagc.vo.MedicoDiBaseResponsemedicodibase

-     public class MedicoDiBaseResponsemedicodibase
      extends java.lang.Object

  Classe Java per MedicoDiBaseResponsemedicodibase complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="MedicoDiBaseResponsemedicodibase">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codFiscale" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codIstatComuneNasc" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codIstatComuneResid" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codNazionaleAusl" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codRegionale" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codSiglaAsl" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="cognome" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataLaurea" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="dataNascita" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="dataSpecializzazioneInPed" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="descComuneNasc" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="descComuneResidenza" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="elencoFormeAssociative" type="{http://www.nsisr.puglia.it/Schemas/}formaAssociativaResponse" maxOccurs="unbounded" minOccurs="0"/>
               <element name="elencoStudiProfessionali" type="{http://www.nsisr.puglia.it/Schemas/}studioProfessionaleResponse" maxOccurs="unbounded" minOccurs="0"/>
               <element name="indResidenza" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="massimale" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="nome" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="tipoMedicoBase" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codFiscale`
    `protected java.lang.String` | `codIstatComuneNasc`
    `protected java.lang.String` | `codIstatComuneResid`
    `protected java.lang.String` | `codNazionaleAusl`
    `protected java.lang.String` | `codRegionale`
    `protected java.lang.String` | `codSiglaAsl`
    `protected java.lang.String` | `cognome`
    `protected javax.xml.datatype.XMLGregorianCalendar` | `dataLaurea`
    `protected javax.xml.datatype.XMLGregorianCalendar` | `dataNascita`
    `protected javax.xml.datatype.XMLGregorianCalendar` | `dataSpecializzazioneInPed`
    `protected java.lang.String` | `descComuneNasc`
    `protected java.lang.String` | `descComuneResidenza`
    `protected java.util.List<FormaAssociativaResponse>` | `elencoFormeAssociative`
    `protected java.util.List<StudioProfessionaleResponse>` | `elencoStudiProfessionali`
    `protected java.lang.String` | `indResidenza`
    `protected java.lang.String` | `massimale`
    `protected java.lang.String` | `nome`
    `protected java.lang.String` | `tipoMedicoBase`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MedicoDiBaseResponsemedicodibase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodFiscale()` Recupera il valore della proprietà codFiscale.
    `java.lang.String` | `getCodIstatComuneNasc()` Recupera il valore della proprietà codIstatComuneNasc.
    `java.lang.String` | `getCodIstatComuneResid()` Recupera il valore della proprietà codIstatComuneResid.
    `java.lang.String` | `getCodNazionaleAusl()` Recupera il valore della proprietà codNazionaleAusl.
    `java.lang.String` | `getCodRegionale()` Recupera il valore della proprietà codRegionale.
    `java.lang.String` | `getCodSiglaAsl()` Recupera il valore della proprietà codSiglaAsl.
    `java.lang.String` | `getCognome()` Recupera il valore della proprietà cognome.
    `javax.xml.datatype.XMLGregorianCalendar` | `getDataLaurea()` Recupera il valore della proprietà dataLaurea.
    `javax.xml.datatype.XMLGregorianCalendar` | `getDataNascita()` Recupera il valore della proprietà dataNascita.
    `javax.xml.datatype.XMLGregorianCalendar` | `getDataSpecializzazioneInPed()` Recupera il valore della proprietà dataSpecializzazioneInPed.
    `java.lang.String` | `getDescComuneNasc()` Recupera il valore della proprietà descComuneNasc.
    `java.lang.String` | `getDescComuneResidenza()` Recupera il valore della proprietà descComuneResidenza.
    `java.util.List<FormaAssociativaResponse>` | `getElencoFormeAssociative()` Gets the value of the elencoFormeAssociative property.
    `java.util.List<StudioProfessionaleResponse>` | `getElencoStudiProfessionali()` Gets the value of the elencoStudiProfessionali property.
    `java.lang.String` | `getIndResidenza()` Recupera il valore della proprietà indResidenza.
    `java.lang.String` | `getMassimale()` Recupera il valore della proprietà massimale.
    `java.lang.String` | `getNome()` Recupera il valore della proprietà nome.
    `java.lang.String` | `getTipoMedicoBase()` Recupera il valore della proprietà tipoMedicoBase.
    `void` | `setCodFiscale(java.lang.String value)` Imposta il valore della proprietà codFiscale.
    `void` | `setCodIstatComuneNasc(java.lang.String value)` Imposta il valore della proprietà codIstatComuneNasc.
    `void` | `setCodIstatComuneResid(java.lang.String value)` Imposta il valore della proprietà codIstatComuneResid.
    `void` | `setCodNazionaleAusl(java.lang.String value)` Imposta il valore della proprietà codNazionaleAusl.
    `void` | `setCodRegionale(java.lang.String value)` Imposta il valore della proprietà codRegionale.
    `void` | `setCodSiglaAsl(java.lang.String value)` Imposta il valore della proprietà codSiglaAsl.
    `void` | `setCognome(java.lang.String value)` Imposta il valore della proprietà cognome.
    `void` | `setDataLaurea(javax.xml.datatype.XMLGregorianCalendar value)` Imposta il valore della proprietà dataLaurea.
    `void` | `setDataNascita(javax.xml.datatype.XMLGregorianCalendar value)` Imposta il valore della proprietà dataNascita.
    `void` | `setDataSpecializzazioneInPed(javax.xml.datatype.XMLGregorianCalendar value)` Imposta il valore della proprietà dataSpecializzazioneInPed.
    `void` | `setDescComuneNasc(java.lang.String value)` Imposta il valore della proprietà descComuneNasc.
    `void` | `setDescComuneResidenza(java.lang.String value)` Imposta il valore della proprietà descComuneResidenza.
    `void` | `setIndResidenza(java.lang.String value)` Imposta il valore della proprietà indResidenza.
    `void` | `setMassimale(java.lang.String value)` Imposta il valore della proprietà massimale.
    `void` | `setNome(java.lang.String value)` Imposta il valore della proprietà nome.
    `void` | `setTipoMedicoBase(java.lang.String value)` Imposta il valore della proprietà tipoMedicoBase.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codFiscale

          protected java.lang.String codFiscale

    - #### codIstatComuneNasc

          protected java.lang.String codIstatComuneNasc

    - #### codIstatComuneResid

          protected java.lang.String codIstatComuneResid

    - #### codNazionaleAusl

          protected java.lang.String codNazionaleAusl

    - #### codRegionale

          protected java.lang.String codRegionale

    - #### codSiglaAsl

          protected java.lang.String codSiglaAsl

    - #### cognome

          protected java.lang.String cognome

    - #### dataLaurea

          protected javax.xml.datatype.XMLGregorianCalendar dataLaurea

    - #### dataNascita

          protected javax.xml.datatype.XMLGregorianCalendar dataNascita

    - #### dataSpecializzazioneInPed

          protected javax.xml.datatype.XMLGregorianCalendar dataSpecializzazioneInPed

    - #### descComuneNasc

          protected java.lang.String descComuneNasc

    - #### descComuneResidenza

          protected java.lang.String descComuneResidenza

    - #### elencoFormeAssociative

          protected java.util.List<FormaAssociativaResponse> elencoFormeAssociative

    - #### elencoStudiProfessionali

          protected java.util.List<StudioProfessionaleResponse> elencoStudiProfessionali

    - #### indResidenza

          protected java.lang.String indResidenza

    - #### massimale

          protected java.lang.String massimale

    - #### nome

          protected java.lang.String nome

    - #### tipoMedicoBase

          protected java.lang.String tipoMedicoBase

  - ### Constructor Detail

    - #### MedicoDiBaseResponsemedicodibase

          public MedicoDiBaseResponsemedicodibase()

  - ### Method Detail

    - #### getCodFiscale

          public java.lang.String getCodFiscale()

      Recupera il valore della proprietà codFiscale.
      Returns:
        possible object is `String`

    - #### setCodFiscale

          public void setCodFiscale(java.lang.String value)

      Imposta il valore della proprietà codFiscale.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodIstatComuneNasc

          public java.lang.String getCodIstatComuneNasc()

      Recupera il valore della proprietà codIstatComuneNasc.
      Returns:
        possible object is `String`

    - #### setCodIstatComuneNasc

          public void setCodIstatComuneNasc(java.lang.String value)

      Imposta il valore della proprietà codIstatComuneNasc.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodIstatComuneResid

          public java.lang.String getCodIstatComuneResid()

      Recupera il valore della proprietà codIstatComuneResid.
      Returns:
        possible object is `String`

    - #### setCodIstatComuneResid

          public void setCodIstatComuneResid(java.lang.String value)

      Imposta il valore della proprietà codIstatComuneResid.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodNazionaleAusl

          public java.lang.String getCodNazionaleAusl()

      Recupera il valore della proprietà codNazionaleAusl.
      Returns:
        possible object is `String`

    - #### setCodNazionaleAusl

          public void setCodNazionaleAusl(java.lang.String value)

      Imposta il valore della proprietà codNazionaleAusl.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodRegionale

          public java.lang.String getCodRegionale()

      Recupera il valore della proprietà codRegionale.
      Returns:
        possible object is `String`

    - #### setCodRegionale

          public void setCodRegionale(java.lang.String value)

      Imposta il valore della proprietà codRegionale.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodSiglaAsl

          public java.lang.String getCodSiglaAsl()

      Recupera il valore della proprietà codSiglaAsl.
      Returns:
        possible object is `String`

    - #### setCodSiglaAsl

          public void setCodSiglaAsl(java.lang.String value)

      Imposta il valore della proprietà codSiglaAsl.
      Parameters:
        `value` - allowed object is `String`

    - #### getCognome

          public java.lang.String getCognome()

      Recupera il valore della proprietà cognome.
      Returns:
        possible object is `String`

    - #### setCognome

          public void setCognome(java.lang.String value)

      Imposta il valore della proprietà cognome.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataLaurea

          public javax.xml.datatype.XMLGregorianCalendar getDataLaurea()

      Recupera il valore della proprietà dataLaurea.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataLaurea

          public void setDataLaurea(javax.xml.datatype.XMLGregorianCalendar value)

      Imposta il valore della proprietà dataLaurea.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataNascita

          public javax.xml.datatype.XMLGregorianCalendar getDataNascita()

      Recupera il valore della proprietà dataNascita.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataNascita

          public void setDataNascita(javax.xml.datatype.XMLGregorianCalendar value)

      Imposta il valore della proprietà dataNascita.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataSpecializzazioneInPed

          public javax.xml.datatype.XMLGregorianCalendar getDataSpecializzazioneInPed()

      Recupera il valore della proprietà dataSpecializzazioneInPed.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataSpecializzazioneInPed

          public void setDataSpecializzazioneInPed(javax.xml.datatype.XMLGregorianCalendar value)

      Imposta il valore della proprietà dataSpecializzazioneInPed.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDescComuneNasc

          public java.lang.String getDescComuneNasc()

      Recupera il valore della proprietà descComuneNasc.
      Returns:
        possible object is `String`

    - #### setDescComuneNasc

          public void setDescComuneNasc(java.lang.String value)

      Imposta il valore della proprietà descComuneNasc.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescComuneResidenza

          public java.lang.String getDescComuneResidenza()

      Recupera il valore della proprietà descComuneResidenza.
      Returns:
        possible object is `String`

    - #### setDescComuneResidenza

          public void setDescComuneResidenza(java.lang.String value)

      Imposta il valore della proprietà descComuneResidenza.
      Parameters:
        `value` - allowed object is `String`

    - #### getElencoFormeAssociative

          public java.util.List<FormaAssociativaResponse> getElencoFormeAssociative()

      Gets the value of the elencoFormeAssociative property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the elencoFormeAssociative property.

      For example, to add a new item, do as follows:

              getElencoFormeAssociative().add(newItem);

      Objects of the following type(s) are allowed in the list `FormaAssociativaResponse`

    - #### getElencoStudiProfessionali

          public java.util.List<StudioProfessionaleResponse> getElencoStudiProfessionali()

      Gets the value of the elencoStudiProfessionali property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the elencoStudiProfessionali property.

      For example, to add a new item, do as follows:

              getElencoStudiProfessionali().add(newItem);

      Objects of the following type(s) are allowed in the list `StudioProfessionaleResponse`

    - #### getIndResidenza

          public java.lang.String getIndResidenza()

      Recupera il valore della proprietà indResidenza.
      Returns:
        possible object is `String`

    - #### setIndResidenza

          public void setIndResidenza(java.lang.String value)

      Imposta il valore della proprietà indResidenza.
      Parameters:
        `value` - allowed object is `String`

    - #### getMassimale

          public java.lang.String getMassimale()

      Recupera il valore della proprietà massimale.
      Returns:
        possible object is `String`

    - #### setMassimale

          public void setMassimale(java.lang.String value)

      Imposta il valore della proprietà massimale.
      Parameters:
        `value` - allowed object is `String`

    - #### getNome

          public java.lang.String getNome()

      Recupera il valore della proprietà nome.
      Returns:
        possible object is `String`

    - #### setNome

          public void setNome(java.lang.String value)

      Imposta il valore della proprietà nome.
      Parameters:
        `value` - allowed object is `String`

    - #### getTipoMedicoBase

          public java.lang.String getTipoMedicoBase()

      Recupera il valore della proprietà tipoMedicoBase.
      Returns:
        possible object is `String`

    - #### setTipoMedicoBase

          public void setTipoMedicoBase(java.lang.String value)

      Imposta il valore della proprietà tipoMedicoBase.
      Parameters:
        `value` - allowed object is `String`